Subject: Re: bug#64725: 30.0.50; set-face-foreground shows background colors

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jul 2023 19:26:21 +0300

> From: Helmut Eller <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 19 Jul 2023 17:45:17 +0200
> 
> On Wed, Jul 19 2023, Eli Zaretskii wrote:
> 
> >> It would be more useful to see the text with the candidate color as
> >> foreground on the default background.
> >
> > Why not use the actual foreground of the face being customized?  Then
> > the user could see whether the background color being selected will
> > have good contrast (or just look well) with the face's foreground.
> 
> I don't understand what you mean with "actual foreground". 
> [...]
> Even better then displaying the candidate color on the default
> background would be to show the candidate color on the current
> background color of the face.  But I guess that's harder to implement.

That's exactly what I meant: when you customize the foreground color
of a face, show the candidates as text in that color on the background
of the face's background color, and when you customize the background
of a face, show the candidates as background with the text in the
foreground color of the face.  IOW, show the face with its both colors
as it will look if this candidate is chosen.